gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ModelView.CellRendererAccel

Contents

- Detail
- Class Hierarchy
- Types
- Enums
- Constructors
- Attributes
- Signals

Description

Renders a keyboard accelerator in a cell

- Module available since Gtk+ version 2.10

Synopsis

- data CellRendererAccel
- class CellRendererTextClass o => CellRendererAccelClass o
- castToCellRendererAccel :: GObjectClass obj => obj -> CellRendererAccel
- toCellRendererAccel :: CellRendererAccelClass o => o -> CellRendererAccel
- data CellRendererAccelMode
  - = CellRendererAccelModeGtk
  - | CellRendererAccelModeOther
  - | CellRendererAccelModeModifierTap
- cellRendererAccelNew :: IO CellRendererAccel
- cellRendererAccelAccelKey :: CellRendererAccelClass self => Attr self Int
- cellRendererAccelAccelMods :: CellRendererAccelClass self => Attr self [Modifier]
- cellRendererAccelKeycode :: CellRendererAccelClass self => Attr self Int
- cellRendererAccelAccelMode :: CellRendererAccelClass self => Attr self CellRendererAccelMode
- accelEdited :: (CellRendererAccelClass self, GlibString string) => Signal self (string -> KeyVal -> Modifier -> KeyCode -> IO ())
- accelCleared :: (CellRendererAccelClass self, GlibString string) => Signal self (string -> IO ())

# Detail

`CellRendererAccel` displays a keyboard accelerator (i.e. a key combination like <Control>-a). If the cell renderer is editable, the accelerator can be changed by simply typing the new combination.

The `CellRendererAccel` cell renderer was added in Gtk+ 2.10.

# Class Hierarchy

    | GObject
    | +----Object
    | +----CellRenderer
    | +----CellRendererText
    | +----CellRendererAccel

# Types

data CellRendererAccel Source #

#### Instances

Instances details

Eq CellRendererAccel Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: CellRendererAccel -> CellRendererAccel -> Bool Source # (/=) :: CellRendererAccel -> CellRendererAccel -> Bool Source #
Ord CellRendererAccel Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: CellRendererAccel -> CellRendererAccel -> Ordering Source #

(<) :: CellRendererAccel -> CellRendererAccel -> Bool Source #

(<=) :: CellRendererAccel -> CellRendererAccel -> Bool Source #

(>) :: CellRendererAccel -> CellRendererAccel -> Bool Source #

(>=) :: CellRendererAccel -> CellRendererAccel -> Bool Source #

max :: CellRendererAccel -> CellRendererAccel -> CellRendererAccel Source #

min :: CellRendererAccel -> CellRendererAccel -> CellRendererAccel Source #

GObjectClass CellRendererAccel Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: CellRendererAccel -> GObject Source # unsafeCastGObject :: GObject -> CellRendererAccel Source #
CellRendererAccelClass CellRendererAccel Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CellRendererClass CellRendererAccel Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CellRendererTextClass CellRendererAccel Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class CellRendererTextClass o => CellRendererAccelClass o Source #

#### Instances

Instances details

CellRendererAccelClass CellRendererAccel Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToCellRendererAccel :: GObjectClass obj => obj -> CellRendererAccel Source #

toCellRendererAccel :: CellRendererAccelClass o => o -> CellRendererAccel Source #

# Enums

data CellRendererAccelMode Source #

Constructors

CellRendererAccelModeGtk |
CellRendererAccelModeOther |
CellRendererAccelModeModifierTap |

#### Instances

Instances details

Bounded CellRendererAccelMode Source # |
Instance details Defined in Graphics.UI.Gtk.ModelView.CellRendererAccel Methods minBound :: CellRendererAccelMode Source # maxBound :: CellRendererAccelMode Source #
Enum CellRendererAccelMode Source # |

Instance details

Defined in Graphics.UI.Gtk.ModelView.CellRendererAccel

Methods

succ :: CellRendererAccelMode -> CellRendererAccelMode Source #

pred :: CellRendererAccelMode -> CellRendererAccelMode Source #

toEnum :: Int -> CellRendererAccelMode Source #

fromEnum :: CellRendererAccelMode -> Int Source #

enumFrom :: CellRendererAccelMode -> [CellRendererAccelMode] Source #

enumFromThen :: CellRendererAccelMode -> CellRendererAccelMode -> [CellRendererAccelMode] Source #

enumFromTo :: CellRendererAccelMode -> CellRendererAccelMode -> [CellRendererAccelMode] Source #

enumFromThenTo :: CellRendererAccelMode -> CellRendererAccelMode -> CellRendererAccelMode -> [CellRendererAccelMode] Source #

Show CellRendererAccelMode Source # |
Instance details Defined in Graphics.UI.Gtk.ModelView.CellRendererAccel Methods showsPrec :: Int -> CellRendererAccelMode -> ShowS Source # show :: CellRendererAccelMode -> String Source # showList :: [CellRendererAccelMode] -> ShowS Source #
Eq CellRendererAccelMode Source # |
Instance details Defined in Graphics.UI.Gtk.ModelView.CellRendererAccel Methods (==) :: CellRendererAccelMode -> CellRendererAccelMode -> Bool Source # (/=) :: CellRendererAccelMode -> CellRendererAccelMode -> Bool Source #

# Constructors

cellRendererAccelNew :: IO CellRendererAccel Source #

Creates a new `CellRendererAccel`.

- Available since Gtk+ version 2.10

# Attributes

cellRendererAccelAccelKey :: CellRendererAccelClass self => Attr self Int Source #

The keyval of the accelerator.

Allowed values: <= GMaxint

Default value: 0

- Available since Gtk+ version 2.10

cellRendererAccelAccelMods :: CellRendererAccelClass self => Attr self [Modifier] Source #

The modifier mask of the accelerator.

- Available since Gtk+ version 2.10

cellRendererAccelKeycode :: CellRendererAccelClass self => Attr self Int Source #

The hardware keycode of the accelerator. Note that the hardware keycode is only relevant if the key does not have a keyval. Normally, the keyboard configuration should assign keyvals to all keys.

Allowed values: <= GMaxint

Default value: 0

- Available since Gtk+ version 2.10

cellRendererAccelAccelMode :: CellRendererAccelClass self => Attr self CellRendererAccelMode Source #

Determines if the edited accelerators are GTK+ accelerators. If they are, consumed modifiers are suppressed, only accelerators accepted by GTK+ are allowed, and the accelerators are rendered in the same way as they are in menus.

Default value: `CellRendererAccelModeGtk`

- Available since Gtk+ version 2.10

# Signals

accelEdited :: (CellRendererAccelClass self, GlibString string) => Signal self (string -> KeyVal -> Modifier -> KeyCode -> IO ()) Source #

Gets emitted when the user has selected a new accelerator.

- Available since Gtk+ version 2.10

accelCleared :: (CellRendererAccelClass self, GlibString string) => Signal self (string -> IO ()) Source #

Gets emitted when the user has removed the accelerator.

- Available since Gtk+ version 2.10